问题描述:

I have created the project in Soap UI 5.0.0. It is working fine on my machine.. But when some uses 4.5.1, not able to open the request. Is it due to the lower version? Can any one have the solution

ERROR:com.jgoodies.binding.beans.PropertyAccessException: Failed to read an adapted Java Bean property.

cause=org.apache.xmlbeans.impl.values.XmlValueOutOfRangeException: string value 'No Authorization' is not a valid enumeration value for type of authType element in Credentials in namespace http://eviware.com/soapui/config

[email protected]f71b

bean type=com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequest

property name=authType

property type=java.lang.String

property reader=public java.lang.String com.eviware.soapui.impl.support.AbstractHttpRequest.getAuthType()

网友答案:

The authType enum was modified for SoapUI v5 and the "No Authorization" value was added. Hence, projects created in v5 and opened with v4 will not recognize this value. The fix is to change "No Authorization" to the equivalent v4 value of "Global HTTP Settings". Do this manually in the project XML files.

This value will only work in v5: No Authorization Equivalent value in v4: Global HTTP Settings

Note: if you open in v5 and close SoapUI, it will save the project automatically and revert this change.

相关阅读:
Top